Visitor (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j
Interface Visitor

All Known Implementing Classes:
  VisitorSupport

public interface Visitor

`Visitor` is used to implement the `Visitor` pattern in DOM4J. An object of this interface can be passed to a `Node` which will then call its typesafe methods. Please refer to the Gang of Four book of Design Patterns for more details on the `Visitor` pattern.

This site has further discussion on design patterns and links to the GOF book. This link describes the Visitor pattern in detail.

Version:
  $Revision: 1.8 $
Author:
  James Strachan

Method Summary
`void` | `visit(Attribute node)` Visits the given `Attribute`
`void` | `visit(CDATA node)` Visits the given `CDATA`
`void` | `visit(Comment node)` Visits the given `Comment`
`void` | `visit(Document document)` Visits the given `Document`
`void` | `visit(DocumentType documentType)` Visits the given `DocumentType`
`void` | `visit(Element node)` Visits the given `Element`
`void` | `visit(Entity node)` Visits the given `Entity`
`void` | `visit(Namespace namespace)` Visits the given `Namespace`
`void` | `visit(ProcessingInstruction node)` Visits the given `ProcessingInstruction`
`void` | `visit(Text node)` Visits the given `Text`

Method Detail

### visit

    public void visit(Document document)

  Visits the given `Document`

  Parameters:
    `document` - is the `Document` node to visit.

### visit

    public void visit(DocumentType documentType)

  Visits the given `DocumentType`

  Parameters:
    `documentType` - is the `DocumentType` node to visit.

### visit

    public void visit(Element node)

  Visits the given `Element`

  Parameters:
    `node` - is the `Element` node to visit.

### visit

    public void visit(Attribute node)

  Visits the given `Attribute`

  Parameters:
    `node` - is the `Attribute` node to visit.

### visit

    public void visit(CDATA node)

  Visits the given `CDATA`

  Parameters:
    `node` - is the `CDATA` node to visit.

### visit

    public void visit(Comment node)

  Visits the given `Comment`

  Parameters:
    `node` - is the `Comment` node to visit.

### visit

    public void visit(Entity node)

  Visits the given `Entity`

  Parameters:
    `node` - is the `Entity` node to visit.

### visit

    public void visit(Namespace namespace)

  Visits the given `Namespace`

  Parameters:
    `namespace` - is the `Namespace` node to visit.

### visit

    public void visit(ProcessingInstruction node)

  Visits the given `ProcessingInstruction`

  Parameters:
    `node` - is the `ProcessingInstruction` node to visit.

### visit

    public void visit(Text node)

  Visits the given `Text`

  Parameters:
    `node` - is the `Text` node to visit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.